## helma.image
Class ImageWaiter

    java.lang.Object
      helma.image.ImageWaiter

All Implemented Interfaces:
  java.awt.image.ImageObserver

    public class ImageWaiter

extends java.lang.Object
implements java.awt.image.ImageObserver

The ImageWaiter will only be used like this: image = ImageWaiter.waitForImage(image);

Field Summary

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Method Summary
`boolean` `imageUpdate(java.awt.Image img, int infoflags, int x, int y, int w, int h)`
`static java.awt.Image` `waitForImage(java.awt.Image image)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### waitForImage

    public static java.awt.Image waitForImage(java.awt.Image image)

### imageUpdate

    public boolean imageUpdate(java.awt.Image img,
                               int infoflags,
                               int x,
                               int y,
                               int w,
                               int h)

  Specified by:
    `imageUpdate` in interface `java.awt.image.ImageObserver`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.